CHANGES IN VERSION 1.13.15
-------------------------

    o Fix plot for legend of co-expression.
    
CHANGES IN VERSION 1.13.14
-------------------------

    o Fix the coordinates issue for init.
    
CHANGES IN VERSION 1.13.13
-------------------------

    o Fix the coordinates issue for init.
    
CHANGES IN VERSION 1.13.12
-------------------------

    o Change back from coord_cartesian to coord_fixed to make sure the function 
    accept ratio paramter.
    
CHANGES IN VERSION 1.13.11
-------------------------

    o Fix the issue applied the coordinates twice.
    
CHANGES IN VERSION 1.13.10
-------------------------

    o Speed up image background plot
    
CHANGES IN VERSION 1.13.9
-------------------------

    o Add cell segmentation for gene expression plot.
    
CHANGES IN VERSION 1.13.8
-------------------------

    o Fix multiple element that not work in dark mode.
    
CHANGES IN VERSION 1.13.7
-------------------------

    o Add dark mode switch.
    
CHANGES IN VERSION 1.13.6
-------------------------

    o Expose the database folder as a parameter.
    
CHANGES IN VERSION 1.13.5
-------------------------

    o Change some files default path.
    
CHANGES IN VERSION 1.13.4
-------------------------

    o Add Z-axis.

CHANGES IN VERSION 1.13.3
-------------------------

    o Replace size with linewidth for geom_segment.

CHANGES IN VERSION 1.13.2
-------------------------

    o Add module privilege.
    
CHANGES IN VERSION 1.13.1
-------------------------

    o Fix the bug if variable genes for seurat object not found.
    
CHANGES IN VERSION 1.11.26
-------------------------

    o Add datasets available date.
    
CHANGES IN VERSION 1.11.25
-------------------------

    o Add search link for species.
    
CHANGES IN VERSION 1.11.24
-------------------------

    o Add 'download' button for webstats.
    
CHANGES IN VERSION 1.11.23
-------------------------

    o Add 'add' and 'delete' method for lasso.
    
CHANGES IN VERSION 1.11.22
-------------------------

    o Add desity plot for sunburst and deconvolution.
    
CHANGES IN VERSION 1.11.21
-------------------------

    o Fix the issue for idconv.
    
CHANGES IN VERSION 1.11.20
-------------------------

    o Add cell deconvolution plot.
    
CHANGES IN VERSION 1.11.19
-------------------------

    o Fix a bug in molecule plot for discrete_scale.
    
CHANGES IN VERSION 1.11.17
-------------------------

    o Using coord_cartesian but not xlim/ylim.
    
CHANGES IN VERSION 1.11.16
-------------------------

    o Add molecule module.
    
CHANGES IN VERSION 1.11.15
-------------------------

    o Fix the bugs in database links.
    
CHANGES IN VERSION 1.11.14
-------------------------

    o Add pan controler and resizable divider.
    
CHANGES IN VERSION 1.11.13
-------------------------

    o fix a bug for double click events in the user mode.
    
CHANGES IN VERSION 1.11.12
-------------------------

    o save cell segmentation for Seurat object.
    
CHANGES IN VERSION 1.11.11
-------------------------

    o add help function addCellBorders, addCellLinks and addBackgroundImage.
    
CHANGES IN VERSION 1.11.10
-------------------------

    o add background plot.
    
CHANGES IN VERSION 1.11.9
-------------------------

    o add cell segmentaion plot.
    
CHANGES IN VERSION 1.11.8
-------------------------

    o remove the force gene symbol table update.
    
CHANGES IN VERSION 1.11.7
-------------------------

    o fix the bug when subset the cells by percentage.
    
CHANGES IN VERSION 1.11.6
-------------------------

    o Add xlim and ylim for cellinfo and gene exprs plot give the possibility 
    of cross dataset comparison.
    
CHANGES IN VERSION 1.11.5
-------------------------

    o replace 'size' by 'linewidth' for element_line in theme.
    
CHANGES IN VERSION 1.11.4
-------------------------

    o Keep the height controler for interactive plot in explorer.
    o Add perentage filter for cell info plot.
    
CHANGES IN VERSION 1.11.3
-------------------------

    o Add apply lasso selection for explorer.
    
CHANGES IN VERSION 1.11.2
-------------------------

    o Add group B for reduction in explorer.
    
CHANGES IN VERSION 1.11.1
-------------------------

    o Add download function for lasso.
    
CHANGES IN VERSION 1.9.26
-------------------------

    o Fix the bug by sanitize the file names when load ATAC track.
    
CHANGES IN VERSION 1.9.25
-------------------------

    o add sum,max to plot type of Sunburst plot panel.
    
CHANGES IN VERSION 1.9.24
-------------------------

    o Add zoom in for plot.
    
CHANGES IN VERSION 1.9.23
-------------------------

    o Fix a bug for file accessibility check.
    
CHANGES IN VERSION 1.9.22
-------------------------

    o Add more color themes

CHANGES IN VERSION 1.9.21
-------------------------

    o support for dark mode

CHANGES IN VERSION 1.9.20
-------------------------

    o Add support for config.dcf file.

CHANGES IN VERSION 1.9.19
-------------------------

    o Add close and delete button for issues.
    
CHANGES IN VERSION 1.9.18
-------------------------

    o Update css for issues.
    
CHANGES IN VERSION 1.9.17
-------------------------

    o Add css for issues.
    
CHANGES IN VERSION 1.9.16
-------------------------

    o Add markdown support for issues.
    
CHANGES IN VERSION 1.9.15
-------------------------

    o Add edit and reply button for issues.
    
CHANGES IN VERSION 1.9.14
-------------------------

    o Fix the test when there is old files in the tmpfolder.
    
CHANGES IN VERSION 1.9.13
-------------------------

    o Handle the file accessibility issue.
    
CHANGES IN VERSION 1.9.12
-------------------------

    o Fix the bug if the script.js does not update.
    
CHANGES IN VERSION 1.9.11
-------------------------

    o Add issues tab.
    
CHANGES IN VERSION 1.9.10
-------------------------

    o Update the homepage to include datasets information.

CHANGES IN VERSION 1.9.9
-------------------------

    o Update the unit test.
    
CHANGES IN VERSION 1.9.8
-------------------------

    o Filter cells by a range of value.

CHANGES IN VERSION 1.9.7
-------------------------

    o Allow single gene heatmap plot.
    
CHANGES IN VERSION 1.9.6
-------------------------

    o Add progress bar for atac signal plot.
    
CHANGES IN VERSION 1.9.3
-------------------------

    o Adjust the atac peak links plot space.
    
CHANGES IN VERSION 1.9.2
-------------------------

    o Add edge links.
      
CHANGES IN VERSION 1.9.1
-------------------------

    o Fix the issue for ATAC track plot if there is no 'type' in peak annotation
      and no 'score' in links.
    
CHANGES IN VERSION 1.7.14
-------------------------

    o Add function extractFragmentNameMapList.
    
CHANGES IN VERSION 1.7.13
-------------------------

    o Add search for token.
    
CHANGES IN VERSION 1.7.12
-------------------------

    o Fix the token issue.
    
CHANGES IN VERSION 1.7.11
-------------------------

    o Fix the issue if the data list is not updated for the main page.
    
CHANGES IN VERSION 1.7.10
-------------------------

    o Fix multiple typos.

CHANGES IN VERSION 1.7.9
-------------------------

    o Update the footnote.

CHANGES IN VERSION 1.7.8
-------------------------

    o Remove the import of X11Fonts.
    
CHANGES IN VERSION 1.7.7
-------------------------

    o Update email address.
    
CHANGES IN VERSION 1.7.6
-------------------------

    o Add fragmentNameMap to createDataset.
    
CHANGES IN VERSION 1.7.6
-------------------------

    o Add fragmentNameMap to createDataset.
    
CHANGES IN VERSION 1.7.5
-------------------------

    o Optimize read and save ATAC peak matrix.
    
CHANGES IN VERSION 1.7.4
-------------------------

    o Add module ExplorerAcc.
    
CHANGES IN VERSION 1.7.3
-------------------------

    o check parameters before creating dataset.
    
CHANGES IN VERSION 1.7.2
-------------------------

    o add binSize parameter for atac bigwig files.
    
CHANGES IN VERSION 1.7.1
-------------------------

    o fix the bug if no signals for atac coverage and invalid filenames.
    
CHANGES IN VERSION 1.5.22
-------------------------

    o add warning message to log file when the atac bigwig files are not available.
    
CHANGES IN VERSION 1.5.21
-------------------------

    o fix a bug that counter table is not available.
    
CHANGES IN VERSION 1.5.20
-------------------------

    o Add csv format for figure data download.
    
CHANGES IN VERSION 1.5.19
-------------------------

    o Try to handle the error `Timeout was reached: [www.ncbi.nlm.nih.gov] SSL/TLS connection timeout`.
    
CHANGES IN VERSION 1.5.18
-------------------------

    o add protection of column sampleID in cell info editor funcitons.
    
CHANGES IN VERSION 1.5.17
-------------------------

    o Error handle if metadata contains '|'.
    o add cell info editor funcitons.
    
CHANGES IN VERSION 1.5.16
-------------------------

    o add more download format.
    
CHANGES IN VERSION 1.5.15
-------------------------

    o fix the low resolution of the plot.
    
CHANGES IN VERSION 1.5.14
-------------------------

    o fix the dotplot download issue.
    
CHANGES IN VERSION 1.5.13
-------------------------

    o add detailed fontsize and font family control.
    o change the dotplot from ggplot2 to complexheatmap.
    
CHANGES IN VERSION 1.5.12
-------------------------

    o order the stacked violin plots by input order.
    
CHANGES IN VERSION 1.5.11
-------------------------

    o add reorder function for splitBy for violin plots.
    
CHANGES IN VERSION 1.5.10
-------------------------

    o add color picker.
    o add splitBy for violin plots.
    o fix the issue that refresh explorer will lost the subset info.
    
CHANGES IN VERSION 1.5.9
-------------------------

    o add help video playlist.
    
CHANGES IN VERSION 1.5.8
-------------------------

    o add functionality to allow different labels for cell info.
    o allow subset groups for explorer.
    
CHANGES IN VERSION 1.5.7
-------------------------

    o fix the issue of reload everything when edit the cell info.
    
CHANGES IN VERSION 1.5.6
-------------------------

    o Editable cell info during login mode.
    o Hiden the cells when check the hidden box.
    
CHANGES IN VERSION 1.5.5
-------------------------

    o Response to the download width and height.
    
CHANGES IN VERSION 1.5.4
-------------------------

    o Access tab via query string.
    
CHANGES IN VERSION 1.5.3
-------------------------

    o Access data via data title.
    
CHANGES IN VERSION 1.5.2
-------------------------

    o Add favicon.
    
CHANGES IN VERSION 1.5.1
-------------------------

    o Fix the unique vistor counter.
    
CHANGES IN VERSION 1.3.25
-------------------------

    o Fix the abstract issue for edit module.
    
CHANGES IN VERSION 1.3.24
-------------------------

    o Update the description.
    
CHANGES IN VERSION 1.3.23
-------------------------

    o Add a hyperlink to package URL at footer.
    
CHANGES IN VERSION 1.3.22
-------------------------

    o Fix the duplicated rownames.
    
CHANGES IN VERSION 1.3.21
-------------------------

    o Add search button in the home page.
    
CHANGES IN VERSION 1.3.20
-------------------------

    o Change the default waffle plot group to celltype.
    
CHANGES IN VERSION 1.3.19
-------------------------

    o Update abstract in the admin edit tab.
    
CHANGES IN VERSION 1.3.18
-------------------------

    o Add abstract parameter for createAppConfig

CHANGES IN VERSION 1.3.17
-------------------------

    o Fix the issue if no ip location information available when update from the older version.
    o add the possibility of the feature names to replace the rownames.

CHANGES IN VERSION 1.3.16
-------------------------

    o Fix the missmatch UI and ID.
    
CHANGES IN VERSION 1.3.15
-------------------------

    o Fix the no id column issue when update the database.
    
CHANGES IN VERSION 1.3.14
-------------------------

    o Update the maxOptions from 6 to 50.
    
CHANGES IN VERSION 1.3.13
-------------------------

    o Add groupby parameter for correlation for proportion plot.
    
CHANGES IN VERSION 1.3.12
-------------------------

    o Add correlation for proportion plot.
    
CHANGES IN VERSION 1.3.11
-------------------------

    o Add Wilcoxon test for violin plot.
    
CHANGES IN VERSION 1.3.10
-------------------------

    o Add Chisq test for proportion.
    
CHANGES IN VERSION 1.3.9
-------------------------

    o Fix some typos.
    
CHANGES IN VERSION 1.3.8
-------------------------

    o Change dependence from hdf5r to rhdf5.

CHANGES IN VERSION 1.3.7
-------------------------

    o Fix the wrong downloader handler in downloader module.
    
CHANGES IN VERSION 1.3.6
-------------------------

    o Add downloader module.

CHANGES IN VERSION 1.3.5
-------------------------

    o Add gene name map to sql database.
    
CHANGES IN VERSION 1.3.4
-------------------------

    o Fix the issue of missing stats for cell numbers.
    
CHANGES IN VERSION 1.3.3
-------------------------

    o Add user visit info and gene symbols into the sql database.
    
CHANGES IN VERSION 1.3.2
-------------------------

    o Add dataset configuration into the sql database.
    
CHANGES IN VERSION 1.3.1
-------------------------

    o Make it compatable with SeuratObject V5.
    
CHANGES IN VERSION 1.1.10
-------------------------

    o Fix the download button for the explorer module.
    
CHANGES IN VERSION 1.1.9
-------------------------

    o Fix the repeat retreive for reference by createAppConfig.
    
CHANGES IN VERSION 1.1.8
-------------------------

    o Change the filepath for credential file.
    
CHANGES IN VERSION 1.1.7
-------------------------

    o Fix the bug in scInit for datafolder.
    
CHANGES IN VERSION 1.1.6
-------------------------

    o Fix the download button which download the fixed values.
    o Add multiple subset buttons.

CHANGES IN VERSION 1.1.5
-------------------------

    o List the available datasets by users privilege.
    
CHANGES IN VERSION 1.1.4
-------------------------

    o Fix the bug if the data is removed where user is explorering.
    
CHANGES IN VERSION 1.1.3
-------------------------

    o Fix the bug introduced by changing actionBution to checkboxInput for modBubbleHeatmap.
    
CHANGES IN VERSION 1.1.2
-------------------------

    o Add multiple layer of violin plot
    o Add sample order controls for stats plot
    
CHANGES IN VERSION 1.1.1
-------------------------

    o Fix the bug that `coverage` function is not imported.

CHANGES IN VERSION 0.99.27
-------------------------

    o Fix the subtitles for scATACseq data.
    
CHANGES IN VERSION 0.99.25
-------------------------

    o Fix a typo when fixing the chromsome name style for scATACseq data.
    
CHANGES IN VERSION 0.99.24
-------------------------

    o Add tracks for scATACseq data.
    
CHANGES IN VERSION 0.99.23
-------------------------

    o Add title for ATAC plot buttons.
    
CHANGES IN VERSION 0.99.22
-------------------------

    o Fix the issue if there is no reference.
    
CHANGES IN VERSION 0.99.21
-------------------------

    o Fix the typo for `createDataset` function.
    
CHANGES IN VERSION 0.99.20
-------------------------

    o Add zoom in and out for atac track plots.
    
CHANGES IN VERSION 0.99.19
-------------------------

    o Update the atac track plots.
    
CHANGES IN VERSION 0.99.18
-------------------------

    o Simplify the about module.
    
CHANGES IN VERSION 0.99.17
-------------------------

    o Update documentation for cellgene VIP.
    
CHANGES IN VERSION 0.99.16
-------------------------

    o fix the bug for cell index for waffleplot.
    
CHANGES IN VERSION 0.99.15
-------------------------

    o fix the bug if no reference can be retrieved.
    
CHANGES IN VERSION 0.99.14
-------------------------

    o fix the bug if no markers can be detected.
    
CHANGES IN VERSION 0.99.13
-------------------------

    o remove aes_string.
    
CHANGES IN VERSION 0.99.12
-------------------------

    o fix the dropdown names issue.
    
CHANGES IN VERSION 0.99.11
-------------------------

    o add check/uncheck all to subset cells.
    
CHANGES IN VERSION 0.99.10
-------------------------

    o fix the multiple loading.
    
CHANGES IN VERSION 0.99.9
-------------------------

    o fix the long table in vignette.
    
CHANGES IN VERSION 0.99.8
-------------------------

    o add app_path to app to fix the issue of missing files.
    
CHANGES IN VERSION 0.99.6
-------------------------

    o add ATAC plots.

CHANGES IN VERSION 0.99.5
-------------------------

    o Update R version dependency from 4.2.0 to 4.3.0
    o remove 'CellChat', 'monocle3' and 'SeuratWrappers'.
    o re-organize the files in extdata to script and add documentation.
    o remove the `eval=FALSE` in vignettes and add `publish_folder` to scripts.
    o change the parameter of `cat` to `category` for `helper1` function.
    o remove `suppressWarnings/Messages`.
    o re-format the code style to fit 80 line width and 4 spaces for line
    indents.
    o add function to save ATAC peaks.

CHANGES IN VERSION 0.99.4
-------------------------

    o Update documentation.
    
CHANGES IN VERSION 0.99.3
-------------------------

    o Fix the heatmap donwload button.
    
CHANGES IN VERSION 0.99.2
-------------------------

    o Fix multiple notes.
    
CHANGES IN VERSION 0.99.1
-------------------------

    o Prepare for release.

